/*
	* Copyright (c) https://github.com/dudeintheshell/ESP32-BLE-Combo
	*
	* modified to work with other modules in this project
	*
	* This file is free software; you can redistribute it and/or modify
	* it under the terms of either the GNU General Public License version 2
	* or the GNU Lesser General Public License version 2.1, both as
	* published by the Free Software Foundation.
*/

#ifndef ESP32_BLE_KEYBOARD_OUTPUT_CALLBACKS_H
#define ESP32_BLE_KEYBOARD_OUTPUT_CALLBACKS_H
#include "sdkconfig.h"
#if defined(CONFIG_BT_ENABLED)

#include <BLEServer.h>
#include "../../debug.h"
#include "BLE2902.h"
#include "BLECharacteristic.h"

class KeyboardOutputCallbacks : public BLECharacteristicCallbacks
{
public:
  KeyboardOutputCallbacks(void);
  void onWrite(BLECharacteristic* me);
};

class MediaOutputCallbacks : public BLECharacteristicCallbacks
{
public:
  MediaOutputCallbacks(void);
  void onWrite(BLECharacteristic* me);
};

#endif // CONFIG_BT_ENABLED
#endif // ESP32_BLE_KEYBOARD_OUTPUT_CALLBACKS_H
